export interface ConfirmationModalModuleOptions {
    okCallback: (confirmationModalModule: ConfirmationModalModule) => void;
    cancelCallback?: (confirmationModalModule: ConfirmationModalModule) => void;
    didShowCallback?: (confirmationModalModule: ConfirmationModalModule) => void;
    title: string;
    body: string;
    showCancelButton?: boolean;
    okButtonText?: string;
    cancelButtonText?: string;
    deleteOnHide?: boolean;
    showCommentField?: boolean;
    commentFieldIsRequired?: boolean;
    actionIsRequired?: boolean;
    appendToSelector?: string;
    size?: number;
}
export default class ConfirmationModalModule {
    private options;
    $modalDiv: JQuery;
    constructor(options: ConfirmationModalModuleOptions);
    private initialiseConfirmationModal;
    show(): void;
    hide(): void;
    getCommentValue(): string | number | string[];
    delete(): void;
}
